Bug 460387 - Review Request: python-schedutils - bindings for the scheduler settings interface
Review Request: python-schedutils - bindings for the scheduler settings inter...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-08-27 19:16 EDT by Arnaldo Carvalho de Melo
Modified: 2008-09-30 15:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-30 15:23:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Arnaldo Carvalho de Melo 2008-08-27 19:16:42 EDT
Spec URL: http://userweb.kernel.org/~acme/python-schedutils/python-schedutils.spec
SRPM URL: http://userweb.kernel.org/~acme/python-schedutils/python-schedutils-0.2-1.fc10.src.rpm

Python bindings for the kernel scheduler settings (sched_getparam, etc) comes with two test cases, reimplementations of util-linux tools chrt and taskset. 

Required by another package that will be submitted for review, tuna.
Comment 1 Parag AN(पराग) 2008-08-28 08:14:32 EDT
1)Where is upstream? I don't see URL tag in spec file. Add URL.
2) your build and install section for python package should look like this
%{__python} setup.py build

%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

See  http://fedoraproject.org/wiki/Packaging/Python/Eggs#Providing_Eggs_using_Setuptools

4) preserve timestamps while using cp and install commands with -p option

5) conditional if is not needed F9>= releases
%if "%{python_ver}" >= "2.5"
 remove it and add only egginfo file.
Comment 2 Arnaldo Carvalho de Melo 2008-08-28 11:20:27 EDT
I'm upstream, and I haven't setup a webpage for this package. I don't think it is required, but I'll probably will create a page at fedorahosted.

Fixed #2 and #4 (where is #3? :) )

Is #5 strictly required? I'd love to have just one specfile to use in Fedora and older releases, for such a small specfile I guess the "ifdef hell" is not so painful?

New specfile and .src.rpm at:

Comment 3 Parag AN(पराग) 2008-08-29 03:46:45 EDT
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=792532
+ rpmlint is silent for SRPM and for RPM.
- source file md5 checksum from SRPM is
2e94101218ac254974d836b82a476b64  python-schedutils-0.2.tar.bz2
from upstream is
de268b04b767df4214f61c72fac51007  python-schedutils-0.2.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Package python-schedutils-0.2-2.fc10 =>
Provides: schedutils.so
Requires: /usr/bin/python libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libpthread.so.0 libpython2.5.so.1.0 python(abi) = 2.5 rtld(GNU_HASH)

1)from review guidelines
- MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the  Source URL Guidelines for how to deal with this.
==> Resubmit SRPM with same tarball inside SRPM and upstream source URL in SPEC.

2) Not mandatory but you can use defattr as
Comment 5 Parag AN(पराग) 2008-09-04 01:15:37 EDT
1)koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=805484

2)checksum of source tarball verified as
32623c3bafa8322d6d697dc1248aed1c  python-schedutils-0.2.tar.bz2

Comment 6 Parag AN(पराग) 2008-09-09 09:29:34 EDT
acme ping
Comment 7 Arnaldo Carvalho de Melo 2008-09-09 09:55:30 EDT
pong: I'll try to continue the process today for this one and for python-ethtool
Comment 8 Arnaldo Carvalho de Melo 2008-09-09 13:38:54 EDT
Package Name: python-schedutils
Short Description: Linux scheduler python bindings
Owners: acme
Branches: F-10
Comment 9 Kevin Fenzi 2008-09-09 22:05:19 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.